Skip to main content
`Ctrl`+`K`

# MatDiagonalScaleLocal

Scales columns of a matrix given the scaling values including the ghosted ones.

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatDiagonalScaleLocal(Mat mat, Vec diag)

Not Collective

## Input Parameters

- mat - the matrix

- diag - the diagonal values, including ghost ones

## Notes

Works only for `MATMPIAIJ` and `MATMPIBAIJ` matrices

This allows one to avoid during communication to perform the scaling that must be done with `MatDiagonalScale()`

## See Also

Matrices, `Mat`, `MatDiagonalScale()`

## Level

developer

## Location

src/mat/interface/matrix.c

## Implementations

MatDiagonalScaleLocal_MPIAIJ() in src/mat/impls/aij/mpi/mmaij.c
MatDiagonalScaleLocal_MPIBAIJ() in src/mat/impls/baij/mpi/mmbaij.c
MatDiagonalScaleLocal_MPISELL() in src/mat/impls/sell/mpi/mmsell.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages